/* 曼话江湖 */
.limited{
	height: 100vh;
	overflow: hidden;
}
.etx-huodong{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-huodong .right-btns{
	position: absolute;
	top: 0.85rem;
	right: 0;
}
.etx-huodong .right-btns img{
	display: block;
	width: 2.45rem;
	height: auto;
}
.etx-huodong .etx-content{
	width: 100%;
	padding-top: 3.13rem;
	padding-bottom: 1.19rem;
}
.etx-huodong .etx-content .wenan{
	display: block;
	width: 8.4rem;
	height: auto;
	margin: 0 auto;
}
.etx-huodong .etx-content .che{
	display: block;
	width: 6.97rem;
	height: auto;
	margin: 0.72rem auto 0;
}
.etx-huodong .etx-content .gouxiang{
	margin-top: 0.47rem;
	display: flex;
	align-items: center;
	justify-content: space-around;
}
.etx-huodong .etx-content .gouxiang .btn{
	width: 2.2rem;
	height: auto;
}
.etx-huodong .guize-wrap{
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	width: 8.613rem;
	height: 12.2rem;
	background: url(./../images/etx/guize-bg.png) no-repeat center;
	background-size: 100% 100%;
}
.etx-huodong .guize-wrap .close-btn{
	width: 1.85rem;
	height: 1.75rem;
	position: absolute;
	top: -0.36rem;
	right: -0.36rem;
}
.etx-huodong .guize-wrap .guize-content{
	width: 6.97rem;
	height: 8.8rem;
	margin: 2.23rem auto 0;
	position: relative;
    overflow-y: scroll;
}
.etx-huodong .guize-wrap .guize-content::-webkit-scrollbar{
	display: none;
}
/* 优惠券 */
.etx-quan-index{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg-quan.png) no-repeat;
	background-size: cover;
	background-attachment: fixed;
}
.etx-quan-index .list-content{
	padding-top: 2.69rem;
}
.etx-quan-index .list-content .content-title{
	height: 2.37rem;
	width: auto;
	display: block;
	margin: 0 auto;
}
.etx-quan-index .list-content .list{
	padding-top: 0.3rem;
	padding-bottom: 0.3rem;
}
.etx-quan-index .list-content .list .item{
	width: 9.2rem;
	height: 4.08rem;
	margin: 0.3rem auto 0;
	background: url(./../images/etx/quan-bg-jin.png?v1.1) no-repeat;
	background-size: 100% auto;
	position: relative;
}
.etx-quan-index .list-content .list .item.fenxiangli{
	background-image: url(./../images/etx/quan-bg-zhuanpan.png?v1.1)
}
.etx-quan-index .list-content .list .item .item-jx{
	width: 4.8rem;
	position: absolute;
	top: 1.2rem;
	left: 3.3rem;
	font-size: 0.346rem;
	color: #000;
}
.etx-quan-index .list-content .list .item .item-jx .jx-text{
	white-space: nowrap;
	overflow: hidden;
  text-overflow: ellipsis;
}
.etx-quan-index .list-content .list .item .prize-name{
	font-size: 0.346rem;
	color: #000;
	position: absolute;
	top: 2.6rem;
	left: 1.53rem;
	max-width: 3.46rem;
	white-space: nowrap;
	overflow: hidden;
  	text-overflow: ellipsis;
}
.etx-quan-index .list-content .list .item .prize-name.long-name{
	max-width: 6rem;
}
.etx-quan-index .list-content .list .item .detail-btn{
	width: 2.29rem;
	height: 0.88rem;
	position: absolute;
	bottom: 0.8rem;
	right: 1.46rem;
}
/* 券详情 */
.etx-quan-detail{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg-quan-detail.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-quan-detail .content-wrap{
	width: 8rem;
	height: auto;
	padding-top: 5.2rem;
	margin: 0 auto;
	padding-bottom: 4rem;
}
.etx-quan-detail .content .desc{
	font-size: 0.4rem;
	color: #000000;
	text-align: center;
	padding-top: 3.4rem;
}
.etx-quan-detail .content .ma-wrap{
	width: 7.82rem;
	height: 4.426rem;
	margin-top: 0.8rem;
	background: url(./../images/etx/ma-bg.png) no-repeat center;
	background-size: cover;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	color: #FFFFFF;
}
.etx-quan-detail .content .ma-wrap .ma-num{
	font-size: 0.906rem;
	font-weight: bold;
	letter-spacing: 0.18rem;
}
.etx-quan-detail .content .ma-wrap .ma-company{
	font-size: 0.5067rem;
	padding: 0 0.6rem;
}
.etx-quan-detail .content .dead-line{
	margin-top: 0.4rem;
	font-size: 0.346rem;
	color: #333333;
	text-align: center;
}
/* 上传头像 */
.etx-poster-touxiang{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg-chuan-touxiang.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-poster-touxiang .content-wrap{
	width: 8rem;
	height: auto;
	padding-top: 8.4rem;
	margin: 0 auto;
	padding-bottom: 3.2rem;
}
.etx-poster-touxiang .content{
	/* height: 13rem; */
}
.etx-poster-touxiang .content .chuan-thumb{
	width: 4.83rem;
	height: 4.45rem;
	margin: 0 auto;
	/* padding-top: 3.2rem; */
	position: relative;
}
.etx-poster-touxiang .content .van-uploader,.etx-poster-touxiang .content .upload-icon{
	width: 4.83rem;
	height: 4.45rem;
	position: absolute;
    top: 0;
    left: 0;
}
.etx-poster-touxiang .content .user-thumb{
	width: 4.83rem;
	height: 4.45rem;
}
.etx-poster-touxiang .content .up-tips{	
	font-size: 0.4rem;
	color: #000000;
	text-align: center;
	padding-top: 0.4rem;
}
.etx-poster-touxiang .content .tijiao-btn{
	display: block;
	width: 4.33rem;
	height: 1.45rem;
	margin: 0.9rem auto 0;
}
/* 生成海报 */
.etx-poster-main .poster-wrap{
	width: 10rem ;
	height: 21.654rem;
	position: absolute;
	top: -10rem;
	left: -10rem;
	/* top: 0rem;
	left: 0rem; */
}
.etx-poster-main .poster-wrap .main-bg{
	display: block;
	width: 10rem ;
	height: 21.654rem;
	position: absolute;
	top: 0;
	left: 0;
}
.etx-poster-main .poster-wrap .wenan-main{
	display: block;
	width: 4.04rem;
	position: absolute;
	top: 2.36rem;
	left: 0.77rem;
}
.etx-poster-main .poster-wrap .thumb-main{
	display: block;
	width: 3.2rem;
	height: 3.59rem;
	position: absolute;
	top: 2.45rem;
	right: 0.43rem;
}
.etx-poster-main .poster-wrap .thumb-main .touxiang-bg{
	width: 3.2rem;
	height: 3.59rem;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 10;
}
.etx-poster-main .poster-wrap .thumb-main .touxiang{
	display: block;
	width: 2.6rem;
	height: 2.6rem;
	border-radius: 50%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	z-index: 1;
}
.etx-poster-main .poster-wrap .wenchat-tu{
	width: 1.33rem;
	height: auto;
	display: block;
	margin-left: 8.17rem;
	padding-bottom: .47rem;
	position: absolute;
	right: 0.47rem;
	bottom: 0.49rem;
}
.etx-poster-main .poster-tu-wrap{
	width: 10rem;
	position: relative;
}
.etx-poster-main .poster-tu-wrap .poster-tu{
	display: block;
	width: 10rem;
}
.etx-poster-main .poster-tu-wrap .save-tips{
	width: 100%;
	font-size: 0.37rem;
	color: #000000;
	position: absolute;
	bottom: 1.2rem;
	left: 0;
	text-align: center;
}
.etx-poster-main .poster-tu-wrap .share-wenan-qu{
	display: block;
	width: 7.17rem;
	height: 2.2rem;
	background: url(./../images/etx/poster-share-wenan.png) no-repeat center;
	background-size: 100% auto;
	position: absolute;
    bottom: 1.8rem;
    left: 50%;
	transform: translateX(-50%);
}
/* 留资 */
.etx-liuzi{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg-liuzi.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-liuzi .content-wrap{
	width: 8rem;
	height: auto;
	padding-top: 5.2rem;
	margin: 0 auto;
	padding-bottom: 3.2rem;
}
.etx-liuzi .content-wrap{
	width: 8rem;
	height: auto;
	padding-top: 6rem;
	margin: 0 auto;
	padding-bottom: 2.4rem;
}
.etx-liuzi .content{
	height: 12rem;
}
.etx-liuzi .content .yuyue-item{
	width: 6.346rem;
	height: 1.12rem;
	background: url(./../images/etx/liuzi-input-big.png) no-repeat center;
	background-size: 100% auto;
	margin: 0.613rem auto 0;
}
.etx-liuzi .content .van-cell{
	background-color: transparent;
	padding: 0.267rem;
	line-height: auto;
}
.etx-liuzi .content .yuyue-item.two-row{
	background: unset;
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.etx-liuzi .content .yuyue-item-sec{
	width: 3.04rem;
	height: 1.12rem;
	background: url(./../images/etx/liuzi-input-small.png) no-repeat center;
	background-size: 100% auto;
}
.etx-liuzi .van-field__control{
	font-size: 0.4rem !important;
	color: #000000 !important;
}
.etx-liuzi .van-field__control::input-placeholder{
	color:rgba(0,0,0,.6) !important;
	font-size: 0.4rem !important;
}
.etx-liuzi .van-field__control::-webkit-input-placeholder{
	color:rgba(0,0,0,.6) !important;
	font-size: 0.4rem !important;
}
.etx-liuzi .van-field__control:read-only{
	color:rgba(0,0,0,1) !important;
	font-size: 0.4rem !important;
}
.etx-liuzi .content .tijiao-btn{
	display: block;
	width: 6.72rem;
	height: 1.453rem;
	margin: 0.7467rem auto 0;
}
/* 转盘 */
.etx-choujiang{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/zhuanpan/bg.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-choujiang .content-wrap{
	padding-top: 2.48rem;
	/* padding-bottom: 1.6rem; */
	padding-bottom: 2.8rem;
}
.etx-choujiang .wenan{
	display: block;
	width: 8.69rem;
	height: 3.11rem;
	margin: 0 auto;
}
.etx-choujiang .dial-animate-wrap{
	width: 8.373rem;
    height: 8.373rem;
	/* margin: 1.6rem auto 0; */
	margin: 2.4rem auto 0;
    position: relative;
	overflow-y: hidden;
    overflow-x: hidden;
}
.etx-choujiang  .dial-animate-wrap .dial-bg img{
	width: 8.373rem;
    height: 8.373rem;
	display: block;
}
.etx-choujiang .dial-animate-wrap .dial-run{
	width: 2.84rem;
	height: 4.05rem;
	background: url(./../images/etx/zhuanpan/zhizhen-tu.png) no-repeat;
	background-size: contain;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%,-50%);
}
.etx-choujiang .cishu-wrap{
	padding-top: 0.8rem;
}
.etx-choujiang .cishu-wrap .row-item{
	display: flex;
	align-items: center;
	justify-content: center;	
	font-size: 0.43rem;
	color: rgba(0,0,0,.8);
}
.etx-choujiang .cishu-wrap .row-item .cushu-num{
	display: block;
	height: 0.506rem;
	width: auto;
	margin: 0 .3rem;
}
.etx-choujiang .chou-btn{
	width: 4.84rem;
	height: auto;
	display: block;
	margin: 0.67rem auto 0;
}
/* 抽奖结果 */
.etx-choujiang .jieguo-wrap{
	width: 9.546rem;
	height: 5.88rem;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
}
.etx-choujiang .jieguo-wrap .item-bg{
	width: 9.546rem;
	height: 5.88rem;
	position: absolute;
	top: 0;
	left: 0;
}
.etx-choujiang .jieguo-wrap .close-btn{
	width: 1.6rem;
	height: 1.6rem;
	position: absolute;
	top: 0rem;
	right: 0.4rem;
}
.etx-choujiang .jieguo-wrap .text-name{
	width: 5.73rem;
	margin: 3.6rem 0 0 1.6rem;
    text-align: center;
    position: relative;
	color: #000000;
	font-size: 0.426rem;
}
/* 定金 */
.etx-dingjin{
	width: 100%;
	min-height: 100vh;
	background: url(./../images/etx/bg-dingjin.png) no-repeat;
	background-size: cover;
	position: relative;
}
.etx-dingjin .content-wrap{
	padding: 10.16rem 0 5.06rem 0;
}
.etx-dingjin .content .wenan{
	display: block;
	width: 6.67rem;
	margin: 0 auto;
}
.etx-dingjin .content .qiang-btn{
	display: block;
	width: 4.33rem;
	height: auto;
	margin: 1.6rem auto 0;
}
/* 上传头像 自定义上传 */
.etx-poster-touxiang .custom-upload{
	width: 4.83rem;
    height: 4.45rem;
	/* display: flex;
	align-items: center;
	justify-content: center; */
	position: relative;
}
.etx-poster-touxiang .custom-upload .file-input{
	opacity: 0;
	width: 4.83rem;
    height: 4.45rem;
	position: absolute;
    top: 0;
    left: 0;
}
.etx-poster-touxiang .custom-upload .btn{
	position: absolute;
	top: 0;
	left: 0;
	width: 4.83rem;
    height: 4.45rem;
	background: rgba(0, 0, 0, 0);
	z-index: 10;
	border: none;
	cursor: pointer;
	padding: 0;
}
/* 故事页 */
.etx-gushi {
	position: relative;
}
.etx-gushi .gushi-tu{
	display: block;
	width: 100%;
	height: auto;
}
.etx-gushi .btn-wrap{
	width: 100%;
	position: absolute;
	left: 0;
	bottom: 0.48rem;
}
.etx-gushi .btn-wrap .btn-item{
	width: 5.2rem;
	height: 1.8rem;
	margin: 0.09rem auto 0;
}
/* 留资vin号下拉选 */
.etx-liuzi .content .yuyue-item-wrap{
	width: 6.346rem;
    height: 1.12rem;
	position: relative;
	margin: 0 auto;
	z-index: 10;
}
.etx-liuzi .content .yuyue-item-wrap .drop-list{
	width: 6.346rem;
	height: 3.33rem;
	background: url(./../images/etx/drop-bg.png) no-repeat top center;
	background-size: 6.346rem 3.33rem;
	overflow-y: scroll;
	position: absolute;
	top: 1.12rem;
	left: 0;
}
.etx-liuzi .content .yuyue-item-wrap .drop-list::-webkit-scrollbar{
	display: none;
}
.etx-liuzi .content .yuyue-item-wrap .drop-item{
	font-size: 0.4rem;
	padding: 0.16rem 0.267rem;
}
/* 海报选择 */
.etx-poster-main .xuan-wrap{
	width: 10rem ;
	height: 21.654rem;
	background: url(./../images/etx/haibao/moban-bg.png) no-repeat;
	background-size: 10rem 21.654rem;
	position: relative;
}
.etx-poster-main .xuan-swipe-wrap{
	padding-top: 2.39rem;
}
.etx-poster-main .xuan-swipe{
	width: 9.534rem;
	height: 14.386rem;
	margin: 0 auto;
}
.etx-poster-main .xuan-swipe .xuan-item{
	position: relative;
	width: 9.534rem;
	height: 14.386rem;
}
.etx-poster-main .xuan-swipe .xuan-item .bgtu{
	width: 9.534rem;
	height: 14.386rem;
	display: block;
	position: absolute;
	top: 0;
	left: 0;
}
.etx-poster-main .xuan-swipe .xuan-item .thumb-wrap{
	width: 2.88rem;
	height: 2.87rem;
	position: absolute;
	top: 1.8rem;
    right: 1.4rem;
}
.etx-poster-main .xuan-swipe .xuan-item .thumb-wrap .thumb-bg{
	width: 2.88rem;
	height: 2.87rem;
	position: absolute;
	top: 0rem;
	right: 0rem;
	z-index: 2;
}
.etx-poster-main .xuan-swipe .xuan-item .thumb-wrap .touxiang{
	width: 2rem;
	height: 2rem;
	border-radius: 50%;
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
	z-index: 1;
}
.etx-poster-main .xuan-wrap .xuan-btns{
	width: 100%;
	position: absolute;
	bottom: 0.67rem;
	left: 0;
}
.etx-poster-main .xuan-wrap .xuan-btns .btn{
	width: 8.413rem;
	display: block;
	margin: 0 auto;
}